Crear ajuste por inflación
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/accounting/inflation-adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"occurred_at": "2023-12-25",
"lines": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"adjustment_amount": 123
}
],
"description": "<string>"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/accounting/inflation-adjustments"
payload = {
"occurred_at": "2023-12-25",
"lines": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"adjustment_amount": 123
}
],
"description": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
occurred_at: '2023-12-25',
lines: [{account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', adjustment_amount: 123}],
description: '<string>'
})
};
fetch('https://api.lapyme.com.ar/api/v1/accounting/inflation-adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"journal_entry": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scope insuficiente o contabilidad no habilitada",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Ajuste duplicado",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Crear ajuste por inflación
POST
/
api
/
v1
/
accounting
/
inflation-adjustments
Crear ajuste por inflación
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Body
application/json
Was this page helpful?
⌘I

